## WebKitDOMHTMLCollection

WebKitDOMHTMLCollection

## Functions

WebKitDOMNode * | webkit_dom_html_collection_item ()
WebKitDOMNode * | webkit_dom_html_collection_named_item ()
gulong | webkit_dom_html_collection_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMHTMLCollection

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMHTMLCollection
                ╰── WebKitDOMHTMLOptionsCollection

## Description

## Functions

### webkit_dom_html_collection_item ()

    WebKitDOMNode *
    webkit_dom_html_collection_item (WebKitDOMHTMLCollection *self,
                                     gulong index);

#### Parameters

self | A WebKitDOMHTMLCollection |
index | A gulong |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_html_collection_named_item ()

    WebKitDOMNode *
    webkit_dom_html_collection_named_item (WebKitDOMHTMLCollection *self,
                                           const gchar *name);

#### Parameters

self | A WebKitDOMHTMLCollection |
name | A gchar |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_html_collection_get_length ()

    gulong
    webkit_dom_html_collection_get_length (WebKitDOMHTMLCollection *self);

#### Parameters

self | A WebKitDOMHTMLCollection |

#### Returns

A gulong

## Types and Values

### WebKitDOMHTMLCollection

    typedef struct _WebKitDOMHTMLCollection WebKitDOMHTMLCollection;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong HTMLCollection:length.

Flags: Read